Parrot Asteroid Users

DEV ZONE => App Compatibility => Topic started by: moogvo on August 30, 2013, 04:32:12 PM

Title: Compatible Apps
Post by: moogvo on August 30, 2013, 04:32:12 PM
Post apps that you have working on your Asteroid Smart. I will copy them into this post in alphabetic order.

-Android Terminal Emulator
-Blitzer.de
-Bluetooth Auto-Pair
-CalDAV Sync
-CardDAV Sync
-CoPilot GPS
-CPU Stats
-Dolphin Browser
-ERG Hazmat Lookup
-ES File Explorer
-ExDialer
-Facebook
-Fuel Log
-Google Calendar
-Google Drive
-Google Earth
-Google Maps 6.8.1   requires tweaking. http://asteroid.doisara.com/app-compatibility/google-mapsnavigationlatitude/ (http://asteroid.doisara.com/app-compatibility/google-mapsnavigationlatitude/)
-Google MyTracks
-Google Play Music
-ICQ
-LauncherPro
-MortPlayer
-LPG CNG Finder (only version 1.9.2)
-musiXmatch
-MyCast Weather App and widgets
-n7player
-Navigon
-Open GPS Tracks
-Opera Classic
-PLEX
-Plume
-PowerAmp
-PullOpenSettings
-Retro Clock and widgets
-Rocket Music Player
-Root Explorer
-Skype (haven't tried with camera, but chat and phone works)
-Smart Launcher
-Spritmonitor.de
-Sygic: GPS Navigation
-Synology DS Audio
-Tasker
-TomTom 1.1.1, 1.3 including traffic (issues: voice cannot be regulated separately, slow startup)
-Torque
-TuneIn Radio (the version from Google Play)
-XDA-Developers
-XiiaLive
-Zeam Launcher (Submitted by K_Hismoom)


Reply to this thread with all of the apps that are working and I will add them to this list. If an app works but needs some tweaking to make it work properly, start a new thread with the install instructions.
Title: Re: Compatible Apps
Post by: pducharme on August 31, 2013, 08:02:52 AM
PLEX for Android (version downloaded from the Google Market directly from the Asteroid SMART)
Plume (twitter client) (version downloaded from the Google Market directly from the Asteroid SMART)
Title: Re: Compatible Apps
Post by: Psy on September 05, 2013, 05:57:54 AM
TomTom 1.1.1 working

latest iGo sideloaded is not working
Title: Re: Compatible Apps
Post by: toowok on September 13, 2013, 10:27:28 AM
Working:
Newest TomTom 1.3 including traffic (issues: voice cannot be regulated separately, slow startup)
Synology DS Audio (music-streaming from NAS)
Title: Re: Compatible Apps
Post by: K_Hismoom on September 16, 2013, 08:21:42 AM
Working:
- Zeam Launcher
- LauncherPro
- Smart Launcher
- Sygic: GPS Navigation
- Navigon
- Opera Classic
- Google Play Music
- Google Earth
- Google Drive
- Google MyTracks
- ExDialer
- Android Terminal Emulator
- XiiaLive
- PowerAmp
- MortPlayer
- n7player
- Rocket Music Player
- Blitzer.de
- Bluetooth Auto-Pair
- ES File Explorer
- Root Explorer
- CalDAV Sync
- CardDAV Sync
- CPU Stats
- ICQ
- Skype (haven't tried with camera, but chat and phone works)
- LPG CNG Finder (only version 1.9.2)
- musiXmatch
- Open GPS Tracks
- PullOpenSettings
- Spritmonitor.de
- Tasker
- TuneIn Radio (the version from Google Play)
- XDA-Developers
Title: Re: Compatible Apps
Post by: ajosefox on September 17, 2013, 10:17:50 AM
I'm having trouble with Google Play Music. It will boot, but gives me an error saying it's unable to connect to the service. Any one else running into this problem?
Title: Re: Compatible Apps
Post by: moogvo on September 17, 2013, 12:51:25 PM
I'm having trouble with Google Play Music. It will boot, but gives me an error saying it's unable to connect to the service. Any one else running into this problem?

Just a GUESS here, but did you install all of the Google framework and login services?
Title: Re: Compatible Apps
Post by: ajosefox on September 17, 2013, 05:01:31 PM
I'm having trouble with Google Play Music. It will boot, but gives me an error saying it's unable to connect to the service. Any one else running into this problem?


Just a GUESS here, but did you install all of the Google framework and login services?


I followed these instructions: http://asteroid.doisara.com/rooting-and-sideloading-apps/rooting-sideloading-and-android-market/ (http://asteroid.doisara.com/rooting-and-sideloading-apps/rooting-sideloading-and-android-market/)

However, I've yet to install the Google Calendar fix:

AccountandSyncSettings.apk
Calendar.apk
CalendarProvider.apk
GoogleCalendarSyncAdapter.apk

Think the accountandsyncsettings.apk is the issue?
Title: Re: Compatible Apps
Post by: ajosefox on September 17, 2013, 10:44:27 PM
Wasn't the account and sync APK. It basically thinks I'm offline. It will load up my music from All Access, but when I click on it to play it says I'm offline...
Title: Re: Compatible Apps
Post by: K_Hismoom on October 01, 2013, 02:15:05 AM
If you connect to the internet via a USB 3G stick, some apps, including Google Play Music, do not detect an existing internet connection. If you use WiFi (or perhaps bluetooth, I didn't try this) everything works fine.
That's why I bought a USB WiFi Access Point with 3G (Huawei E355). The Smart connects via WiFi to the USB stick which in turn connects via 3G to the internet. As a bonus I can now turn off internet when roaming to prevent high costs when in foreign countries.
Title: Re: Compatible Apps
Post by: zr2ee on October 23, 2013, 07:33:02 PM
pandora and slacker working with rotation locker
Title: Re: Compatible Apps
Post by: gyakusetsu on February 02, 2014, 02:09:48 AM
I can confirm that Netflix works. Quality is limited, but more than acceptable (and can be tweaked in the settings).

No workarounds, just install from Google Play.
Title: Re: Compatible Apps
Post by: sjanssen15 on February 27, 2014, 05:20:22 PM
I can hereby let you guys know that Telegram messenger works prefectly!

I had my Parrot paired over Bluetooth and internet tethering on via Bluetooth. Messages are received instantly, sync with my phone and it gives a nice notification sound.

One other thing: I plugged in a wireless keyboard in the back and that works perfectly too if you enalbe: Use enter to send message

- Notifcation works
- Viewing images works
- Adding images works (to chat and groupchats)
- Resolution is perfect
- font size can be changed in the settings menu
Title: Re: Compatible Apps
Post by: Mike0556 on March 16, 2014, 05:30:46 PM
The Facebook Messenger-App works well, even with notification!! The Launcher 8 free (QiHang Dev Team) works perfect as well

PARROT Asteroid Smart With Root and Windows 8 Launcher (http://www.youtube.com/watch?v=ABNnr1EFXuw#)

Angey Birds and Smash Hit also work fine  8)
Title: Re: Compatible Apps
Post by: sprint20 on November 07, 2014, 01:14:59 PM
remotego - gopro unofficial

Control the Gopro camera via wifi.

The only thing i have noticed is the main screen, is on its side. But adjustment menu's is level.
Title: Re: Compatible Apps
Post by: zeytinpark on November 17, 2014, 04:00:10 AM
I have my Sygic license. But I can not run Sygic apk. "Package debug error" error message.
Also on YouTube does not work.
What should I do?
Title: Re: Compatible Apps
Post by: Av3ng3 on June 22, 2016, 03:05:59 PM
Does anybody know if the following apps work?
Escort Live (Radar Detector)
Automatic (Bluetooth OBDII Diagnostic port)
Synology DSvideo

Thanks,
Nate
Title: Re: Compatible Apps
Post by: Jambo on July 02, 2016, 01:57:47 PM
Help,
desperately trying to get sygic to work.
I've rooted asteroid smart successfuly but haven't
gone the whole play store route as yet. downloaded a couple of Sygics
and don't mind paying for it. tried downloading from aptoide and got parsing error,
cracked download goes wrong orientation then closes with an activity problem.
Don't mind paying, just want Sygic!
Title: Re: Compatible Apps
Post by: kovlaszlo on July 21, 2016, 07:12:30 AM
Jambo,

I have Sygic working, and I am happy with it. The key is the following:

" ... If you are using older Android OS than 4.0.4, the previous version of GPS Navigation & Maps Sygic (14.3.4) will be avalilable to download and install from Google Play Store instead."


The citation was cut from Sygic tutorial, I saved it for myself in a text file, maybe it is not existing on their site any more. So, this is the version you need, I think. I can check later the day which version I am actually using, but I guess this.

IMPORTANT:
In case you would like to have the latest map now, and map updates later, I have bad news. This is also coming from their tutorial, from the notes regarding one of their map updates from last year (2015):

"...The map update is available only for the GPS Navigation & Maps Sygic application version 15.2.5 or newer. Older versions will not receive the map update. If you have an older version, please update to the latest one via Google Play Store."

Our parrot Asteroid Smarts are going to become useless bricks within few years, in any case.
Title: Re: Compatible Apps
Post by: Jambo on August 02, 2016, 12:17:37 PM
thanks for that, will try with older version